Path Parameters
The internal numeric transaction ID (the
id field, not the transaction_id UUID).curl -X GET 'https://api.yativo.com/api/v1/business/transaction/show/14' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"id": 14,
"transaction_id": "a0e9e50e-81be-4bd0-9941-0151e68b9e97",
"transaction_amount": "1000.00",
"transaction_status": "success",
"transaction_type": "deposit",
"transaction_memo": "payin",
"transaction_purpose": "Deposit",
"transaction_currency": "BRL",
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"payin_method": {
"id": 22,
"method_name": "PIX",
"country": "BRA",
"currency": "BRL"
},
"payout_method": null,
"created_at": "2026-04-01T10:00:00.000000Z"
}
}
Retrieve full details for a specific transaction
GET /business/transaction/show/{id}
id field, not the transaction_id UUID).curl -X GET 'https://api.yativo.com/api/v1/business/transaction/show/14' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"status": "success",
"status_code": 200,
"message": "Request successful",
"data": {
"id": 14,
"transaction_id": "a0e9e50e-81be-4bd0-9941-0151e68b9e97",
"transaction_amount": "1000.00",
"transaction_status": "success",
"transaction_type": "deposit",
"transaction_memo": "payin",
"transaction_purpose": "Deposit",
"transaction_currency": "BRL",
"customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
"payin_method": {
"id": 22,
"method_name": "PIX",
"country": "BRA",
"currency": "BRL"
},
"payout_method": null,
"created_at": "2026-04-01T10:00:00.000000Z"
}
}